package com.ebaiyihui.family.doctor.common.vo.cloudHis;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;

/**
 * @author lyx
 * @description outpatient_type
 * @date 2023-12-04
 */
@Data
public class OutpatientTypeVo implements Serializable {

    private static final long serialVersionUID = 1L;


    /**
     * 所属租户ID
     */
    @ApiModelProperty(value = "所属租户ID")
    private Integer tenantId;

    /**
     * 0:删除/1:正常/2:停用
     */
    @ApiModelProperty(value = "0:删除/1:正常/2:停用")
    private String status;

    /**
     * 诊疗费
     */
    @ApiModelProperty(value ="诊疗费")
    private BigDecimal diagFee;

    /**
     * 挂号费
     */
    @ApiModelProperty(value ="挂号费")
    private BigDecimal regFee;

    /**
     *
     */
    @ApiModelProperty(value = "门诊类型分类")
    private String outpatientTypeClass;

    /**
     * 门诊类型自动生成唯一编码
     */
    @ApiModelProperty(value ="门诊类型")
    private String outpatientType;

    /**
     * 门诊类型名称
     */
    @ApiModelProperty(value = "门诊类型名称")
    private String outpatientTypeName;

    /**
     * 挂号类型1：普通，2：专家  查字典
     */
    @ApiModelProperty(value = "挂号类型1：普通，2：专家")
    private String regType;

    /**
     * 挂号费项目编码
     */
    @ApiModelProperty(value = "挂号费项目医保编码")
    private String regItemHsCode;


    /**
     * 关联科室id
     */
    @ApiModelProperty(value = "关联科室id")
    private String deptIds;

    /**
     * 关联科室名称
     */
    @ApiModelProperty(value = "关联科室名称")
    private String deptNames;

}
